.ai-preview-section > div {
  padding: 64px 32px;
}

.ai-preview-section > .flex-1:first-child {
  background-color: #FD0;
}

.ai-preview-section > div > p {
  margin-top: 16px;
}

.ai-preview-section > div:last-child > div > p {
  margin-bottom: 32px;
}

.ai-why-choose {
  grid-template-columns: repeat(4, 1fr);
}

.ai-why-choose > div:first-child {
  grid-column: span 4;
}

.ai-industry-section > div {
  padding: 64px 32px;
}

.ai-streamline {
  display: flex;
  flex-direction: column;
  gap: 32px;
  margin-top: 16px;
  margin-right: 17px;
  padding: 64px 32px;
  box-sizing: border-box;
  background-color: #E3E3E3;
}

.ai-streamline > h2,
.ai-streamline > p {
  text-align: center;
}

/* SERVICES PAGE STYLE */
.service-solution-block {
  display: flex;
  align-items: stretch;
  gap: 16px;
  margin-top: 16px;
  margin-right: 17px;
}

.service-solution-block > div:first-child {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 16px;
  padding: 56px 32px;
}

.service-solution-block > div:first-child > p {
  margin-bottom: 16px;
}

.service-solution-block > div:first-child > .button {
  padding: 12px 28px;
}

.service-solution-block > div:last-child {
  display: flex;
  align-items: stretch;
  flex-wrap: wrap;
  gap: 4px;
}

.service-solution-block > div:last-child > div {
  flex: 1;
  flex-basis: 200px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.service-solution-block > div:last-child > div > a {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 4px;
  padding: 24px 32px;
  box-sizing: border-box;
}

.service-solution-block > div:last-child > div img {
  width: 30px;
  height: 30px;
}

.service-cta-banner {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-top: 16px;
  margin-right: 17px;
  padding: 120px 64px;
  text-align: center;
  background: linear-gradient(87deg, #EDECED 0%, #B6CBF4 100%), linear-gradient(87deg, #EDECED 0%, #4A80B5 100%);
}

.service-cta-banner > p {
  margin-top: 24px;
  margin-bottom: 36px;
}

.service-cta-banner .button {
  padding: 12px 28px;
  box-sizing: border-box;
}

.service-channel {
  position: relative;
  display: flex;
  align-items: stretch;
  gap: 16px;
  margin-top: 16px;
  margin-right: 17px;
}

.service-channel > div {
  background-color:#E3E3E3;
  text-align: center;
  padding: 64px 32px;
  box-sizing: border-box;
}

.service-channel > div > p {
  margin-top: 16px;
  margin-bottom: 32px;
}

.service-channel .channels-list, 
.service-channel .integrations-list {
  height: 180px !important;
}

.service-email-wrapper {
  position: relative;
  min-width: 350px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 8px;
}

.service-email-wrapper > input {
  position: relative;
  z-index: 2;
  width: 100%;
  padding: 8px 12px;
  font-size: 15px;
  font-weight: 400;
  line-height: 22.5px;
  letter-spacing: 0.5px;
  border: 1px solid #E3E3E3;
  border-radius: 4px;
  outline: none;
  box-sizing: border-box;
  transition: all .2s ease-in;
}

.service-email-wrapper > input:focus,
.service-email-wrapper > input:hover {
  border-color: #1D1D1F;
}

.service-email-wrapper > .button {
  position: relative;
  z-index: 2;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  line-height: 19.5px;
  letter-spacing: 0.5px;
  padding: 8px 16px;
}

.service-email-wrapper > button {
  background-color: transparent;
}

.service-popup-container {
  position: fixed;
  top: 0;
  z-index: 100;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  padding-bottom: 148px;
  background: rgba(29, 29, 31, 0.50);
  box-shadow: 70px 0px 150px 0px rgba(0, 0, 0, 0.05) inset, 70px 0px 150px 0px rgba(0, 0, 0, 0.05) inset;
  box-sizing: border-box;
  opacity: 0;
  transition: all .2s ease-in;
  pointer-events: none;
  overflow-y: auto;
}

.service-popup-open {
  opacity: 1;
  pointer-events: all;
}

/* HubSpot form for service popup */
.service-popup {
  position: relative;
  top: 118px;
  width: 714px;
  height: fit-content;
  padding: 48px 32px;
  box-sizing: border-box;
  background-color: #ffffff;
  transform: translateY(50px);
  transition: transform .2s ease-in;
}

.service-popup-open .service-popup {
  transform: translateY(0px);
}

.service-popup-form .hsfc-RichText p {
  margin: 0;
}

.service-popup-form .hsfc-Row {
  margin: 0;
}

.service-popup-form .hsfc-Step .hsfc-Step__Content {
  padding: 0;
}

.service-popup-form .hsfc-PhoneField > label,
.service-popup-form .hsfc-TextField > label {
  display: none;
}

.service-popup-form .hsfc-Row:nth-of-type(1) .hsfc-RichText p {
  color: #161618;
  font-size: 30px !important;
  font-family: sans-serif, 'GothamRounded' !important;
  line-height: normal !important;
  letter-spacing: 0.5px;
}

.service-popup-form .hsfc-Row:nth-of-type(2) {
  margin-bottom: 8px;
}

.service-popup-form .hsfc-Row:not(:nth-of-type(1)) .hsfc-RichText p {
  font-size: 18px !important;
  font-style: normal;
  font-weight: 500 !important;
  line-height: 27px !important;
  letter-spacing: 0.5px;
  color: #161618 !important;
}

.service-popup-form .hsfc-Row:nth-of-type(4),
.service-popup-form .hsfc-Row:nth-of-type(5) {
  margin-top: 8px;
}

.service-popup-form .hsfc-Row:nth-of-type(3) {
  display: flex;
  gap: 8px;
}

.service-popup-form .hsfc-Row:nth-of-type(3) > div {
  flex: 1;
}

.service-popup-form .hsfc-PhoneInput > .hsfc-PhoneInput__FlagAndCaret {
  padding: 8px 12px;
}

.service-popup-form .hsfc-PhoneInput > .hsfc-PhoneInput__FlagAndCaret,
.service-popup-form .hsfc-TextInput,
.service-popup-form .hsfc-TextareaInput {
  padding: 8px 12px !important;
  border-radius: 4px;
  border: 1px solid #E3E3E3 !important;
  background: #ffffff;
  box-sizing: border-box;
  font-size: 15px !important;
  font-style: normal !important;
  font-weight: 400;
  line-height: 22.5px !important;
  letter-spacing: 0.5px;
  outline: 0;
  transition: all .1s ease-in !important;
}

.service-popup-form .hsfc-TextInput {
  margin-left: -1px;
}

.service-popup-form .hsfc-TextareaInput {
  height: 65px !important;
}

.service-popup-form .hsfc-PhoneInput:not(.hsfc-PhoneInput--rtl) .hsfc-PhoneInput__FlagAndCaret {
  border-right-color: #E3E3E3;
  transition: all .1s ease-in !important;
}

.service-popup-form .hsfc-PhoneInput:not(.hsfc-PhoneInput--rtl) .hsfc-PhoneInput__FlagAndCaret:hover,
.service-popup-form .hsfc-PhoneInput:not(.hsfc-PhoneInput--rtl) .hsfc-PhoneInput__FlagAndCaret:focus,
.service-popup-form .hsfc-PhoneInput:not(.hsfc-PhoneInput--rtl) .hsfc-PhoneInput__FlagAndCaret:active {
  background-color: transparent !important;
  border-color: #1D1D1F !important;
}

.service-popup-form .hsfc-TextInput:hover,
.service-popup-form .hsfc-TextInput:focus,
.service-popup-form .hsfc-TextareaInput:hover,
.service-popup-form .hsfc-TextareaInput:focus {
  box-shadow: none !important;
  border-color: #1D1D1F !important;
}

.service-popup-form .hsfc-ErrorAlert {
  display: flex;
  gap: 4px;
  color: #C43638 !important;
  box-sizing: border-box;
  opacity: 1;
  cursor: default;
  margin-bottom: 4px;
}

.service-popup-form .hsfc-ErrorAlert::before {
  content: "";
  display: block;
  width: 16px;
  height: 16px;
  background-image: url(https://supportyourapp.com/img/Info.svg);
  background-repeat: no-repeat;
  background-size: cover;
}

.hsfc-Button:not([disabled]):hover {
  transform: translateY(0px) !important;
  filter: brightness(100%) !important;
}

.hsfc-RadioFieldGroup__Options {
  display: flex;
  gap: 2px;
  flex-wrap: wrap;
}

.hsfc-RadioFieldGroup__Options > div {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 4px;
  margin: 0 !important;
  border: 1px solid #E3E3E3;
  border-radius: 4px;
  transition: all .2s ease-in;
}

.hsfc-RadioFieldGroup__Options > div:hover {
  background-color: #EEECED;
}

.hsfc-RadioFieldGroup__Options > div > label {
  padding: 8px 12px;
  box-sizing: border-box;
  cursor: pointer;
}

.hsfc-RadioFieldGroup__Options > div input {
  width: 16px !important;
  height: 16px !important;
  opacity: 0.6 !important;
  background-color: #ffffff !important;
  border-color: #1D1D1F !important;
  transition: all .2s ease-in;
  cursor: pointer;
}

.hsfc-RadioFieldGroup__Options > div span {
  color: #1D1D1F !important;
  font-size: 15px !important;
  font-style: normal !important;
  font-weight: 400 !important;
  line-height: 22.5px !important;
  letter-spacing: 0.5px !important;
  opacity: 0.8;
  transition: all .2s ease-in;
  cursor: pointer;
}

.hsfc-RadioFieldGroup__Options > div input:hover,
.hsfc-RadioFieldGroup__Options > div input:focus {
  box-shadow: none !important;
}

.hsfc-RadioFieldGroup__Options > .active-input-hs-item {
  border-color: #1D1D1F;
  background-color: #EEECED;
}

.hsfc-RadioFieldGroup__Options > .active-input-hs-item input,
.hsfc-RadioFieldGroup__Options > .active-input-hs-item:hover span {
  opacity: 1 !important;
}

.service-popup-form .hsfc-Row:nth-of-type(4) > .hsfc-RichText {
  margin-top: 20px;
}

.service-popup-form .button {
  padding: 12px 28px;
  background-color: transparent;
}

.service-popup-form .b-black-filled {
  color: white;
}

.service-popup-form .btn-with-right-arrow {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
}

.service-popup-form .btn-with-right-arrow > img {
  width: 16px;
  height: 16px;
  transition: .2s ease-in;
}

.service-popup-form .btn-with-right-arrow:hover > img {
  filter: invert(1);
}

.service-popup-form .hsfc-NavigationRow__Buttons {
  justify-content: flex-end;
}

.service-arrow-btn {
  position: absolute;
  z-index: 1;
  top: 24px;
  left: 24px;
  width: 24px !important;
  height: 24px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0;
  margin: 0;
  background-color: #ffffff;
  border: 0;
  cursor: pointer;
}

.service-arrow-btn > svg {
  width: 100%;
  height: 100%;
}

.service-popup-form .hs-after-submitting {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 24px;
  gap: 32px;
  box-sizing: border-box;
}

.service-popup .hs-close-btn {
  position: absolute;
  top: 24px;
  right: 24px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 24px;
  height: 24px;
  cursor: pointer;
  background-color: transparent;
  border: 0;
}

.service-popup .hs-close-btn > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.service-popup-form .hs-after-submitting .hsfc-RichText {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 16px;
}

.service-popup-form .hs-after-submitting .hsfc-RichText > p:last-child {
  display: none !important;
}

.service-popup-form .hs-after-submitting p {
  margin: 0 !important;
}

.service-popup-form .hs-after-submitting .hsfc-RichText p:nth-child(2) {
  font-family: sans-serif, 'GothamRounded' !important;
  font-size: 15px !important;
  font-style: normal;
  font-weight: 400 !important;
  line-height: 22.5px !important;
  letter-spacing: 0.5px;
}

.service-popup-form .hs-after-submitting p:last-child {
  display: none !important;
}

.service-email-error {
  border-color: #C43638 !important;
}

.hs-close-btn-mobile {
  display: none;
}

.service-popup-form .hsfc-TextInput.popup-field-error {
  border-color: #C43638 !important;
}

.hs-email-error-msg {
  position: absolute;
  z-index: 1;
  left: 0;
  bottom: -24px;
  display: flex;
  align-items: center;
  gap: 4px;
  color: #C43638;
  font-size: 12px;
  transform: translateY(-40px);
  opacity: 0;
}

.hs-email-error-msg::before {
  content: "";
  display: block;
  width: 16px;
  height: 16px;
  background-image: url(https://supportyourapp.com/img/Info.svg);
  background-repeat: no-repeat;
  background-size: cover;
}

.hs-email-error-msg-show {
  animation: error-in .2s ease-in forwards;
}

.service-popup-form .hsfc-FieldLabel__RequiredIndicator {
  display: none !important;
}

.service-popup-form .hsfc-RichText {
  margin-top: 24px;
}

.service-popup-form .hsfc-Row:first-child > .hsfc-RichText {
  margin-top: 8px;
}

.service-popup-form .hsfc-NavigationRow {
    margin-top: 32px !important;
}

.service-popup-form .hsfc-NavigationRow__Buttons {
  justify-content: flex-start !important;
}

.success-icon-wrp {
  display: flex;
  width: 80px;
  height: 80px;
  padding: 25px 19px;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: #E1F1D5;
  box-shadow: 0px 0px 19.2px 0px rgba(111, 172, 58, 0.14);
  box-sizing: border-box;
}

.popup-block-after-submitting {
  height: fit-content !important;
}

.service-popup-success-block {
  display: none;
  justify-content: center;
  align-items: center;
}

.service-popup-success-block .hs-after-submitting {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 24px;
  gap: 32px;
  box-sizing: border-box;
}

.service-popup-success-block .hs-after-submitting .hsfc-RichText {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 16px;
}

.service-popup-success-block .hs-after-submitting .hsfc-RichText > p:last-child {
  display: none !important;
}

.service-popup-success-block .hs-after-submitting p {
  margin: 0 !important;
}

.service-popup-success-block .hs-after-submitting .hsfc-RichText p:nth-child(2) {
  font-family: var(--main-font) !important;
  font-size: 15px !important;
  font-style: normal;
  font-weight: 400 !important;
  line-height: 22.5px !important;
  letter-spacing: 0.5px;
}

.service-popup-success-block .hs-after-submitting p:last-child {
  display: none !important;
}

.service-popup-success-block .hs-after-submitting .button {
  background: transparent;
}

.hs-form-ready-false {
  height: fit-content !important;
}

.service-popup-success-block.success-enable {
  display: flex;
}

.service-popup-content-disable {
  display: none;
}

/* Final Form Page */

.final-form-section {
  height: 100%;
  display: flex;
  justify-content: center;
  background-color: #EEECED;
  box-shadow: 70px 0px 150px 0px rgba(0, 0, 0, 0.05) inset, 70px 0px 150px 0px rgba(0, 0, 0, 0.05) inset;
}

.final-form-section .service-popup-container {
  flex: 1;
  position: static;
  padding: 48px 0 !important;
  overflow-y: auto;
  background: transparent;
  box-shadow: none;
  align-items: center;
}

.final-form-section .service-popup {
  position: static;
  top: 0px;
}

.final-form-section .b-black {
  display: flex;
  justify-content: center;
  align-items: center;
}
 
@keyframes error-in {
  0% {
    transform: translateY(-40px);
    opacity: 0;
  }
  100% {
    transform: translateY(0px);
    opacity: 1;
  }
}

@media screen and (max-height: 840px) {
  .final-form-section .service-popup-container {
    align-items: flex-start;
  }
}

@media screen and (max-width: 900px) {
  .ai-why-choose {
    grid-template-columns: repeat(2, 1fr);
  }

  .ai-why-choose > div:first-child {
    grid-column: span 2;
  }
}

@media screen and (max-width: 768px) {
  .service-popup-container {
    padding: 0 32px;
  }

  .service-popup {
    width: 100%;
  }

  .final-form-section .service-popup-container {
    padding: 32px !important;
    background-color: #ffffff;
  }

  .final-form-section .service-popup {
    border: 1px solid #EEECED;
    box-shadow: 1px -1px 13px 0px rgba(137, 137, 121, 0.07);
  }
}

@media screen and (max-width: 580px) {
  .ai-preview-section .f65 {
    font-size: 45px;
  }

  .ai-preview-section > div {
    padding: 28px 16px;
  }

  .ai-why-choose {
    grid-template-columns: 1fr;
  }

  .ai-why-choose > div:first-child {
    grid-column: span 1;
  }

  .ai-industry-section > div {
    padding: 32px 16px;
  }

  .ai-streamline {
    padding: 32px 16px;
  }

  .img-services {
    max-width: 75px;
  }

  .service-solution-block > div:first-child,
  .service-solution-block > div:last-child > div,
  .so-security-main-block,
  .so-security-awards-item {
    padding: 28px 16px;
  }
  
  .service-cta-banner {
    padding: 64px 16px;
  }
  
  .cm-how-it-works-wrapper,
  .service-channel > div,
  .so-why-choose .so-padding:first-child {
    padding: 32px 16px;
  }

  .so-why-choose .so-padding {
    padding: 24px 16px;
  }

  .service-popup-container {
    padding: 16px;
    padding-bottom: 108px;
    align-content: center;
    background: #ffffff;
    box-shadow: none;
  }

  .service-popup {
    width: 100%;
    top: 78px;
    height: fit-content;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    padding: 56px 16px;
    border: 1px solid var(--Grays-Light-gray, #EEECED);
    box-shadow: 1px -1px 13px 0px rgba(137, 137, 121, 0.07);
  }

  .hsfc-Row {
    flex-direction: column;
  }

  .service-popup .hs-close-btn {
    display: none;
  }

  .service-email-wrapper {
    width: 100%;
    flex-direction: column;
  }

  .so-preview-section > div > div {
    width: 100%;
  }

  .service-email-wrapper > input {
    min-width: inherit;
    width: 100%;
  }

  .service-email-wrapper > .button {
    width: 100%;
  }

  .service-arrow-btn {
    top: 16px;
    left: 16px;
  }

  .service-popup-form .hs-after-submitting {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 32px;
  }

  .service-popup-form [data-hsfc-id=Renderer] .hsfc-RichText:after {
    content: none;
  }

  .hs-last-step-close-btn {
    max-width: 120px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: transparent;
    padding: 12px 28px;
  }

  .hs-close-btn-mobile {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 16px;
    background-color: transparent;
  }

  .hs-close-btn-mobile.button {
    padding: 12px 28px;
  }

  .service-popup-form .b-black-filled:not(.b-input):hover {
    color: #ffffff !important;
  }

  .service-popup-form .b-black-filled:not(.b-input):hover::before {
    content: none !important;
  }

  .service-popup-form .hsfc-TextareaInput {
    height: 106px !important;
  }

  .service-email-wrapper {
    min-width: inherit;
  }

  .popup-block-after-submitting {
    height: calc(100% - 78px) !important;
  }

  .service-popup-form .button {
    width: 100%;
  }

  .final-form-section {
    height: fit-content !important;
  }

  .final-form-section .service-popup-container {
    padding: 16px !important;
  }
}

@media screen and (max-width: 430px) {
  .service-popup-form .hsfc-NavigationRow__Buttons {
    gap: 8px !important;
  }

}

@media screen and (max-width: 375px) {
  .service-popup {
    top: 40px;
  }
}

@media screen and (max-width: 340px) {
  .img-services {
    max-width: 50px;
  }

  .ai-preview-section .f65 {
    font-size: 35px;
  }

  .cm-our-services .f25 {
    font-size: 20px;
  }

  .cm-page-content-list .f25 {
    font-size: 20px;
  }

  .ai-why-choose .f25 {
    font-size: 20px;
  }
}

@media screen and (max-width: 325px) {
  .so-preview-section > div .f20 {
    font-size: 20px;
  }
}